### Function

# GioUnix DesktopAppLaunchCallback

#### Declaration

    void
    (* GDesktopAppLaunchCallback) (
      GDesktopAppInfo* appinfo,
      GPid pid,
      gpointer user_data
    )

#### Description

During invocation, `g_desktop_app_info_launch_uris_as_manager()` may create one or more child processes. This callback is invoked once for each, providing the process ID.

#### Parameters

`appinfo`

  Type: `GDesktopAppInfo`

  A `GDesktopAppInfo`.

  The data is owned by the caller of the function.

`pid`

  Type: `GPid`

  Process identifier.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.